Package net.shibboleth.idp.cli

# Class StatusArguments

java.lang.Object
net.shibboleth.idp.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.StatusArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class StatusArguments extends AbstractCommandLineArguments
Command line processing for status flow.

## Field Summary

### Fields inherited from class net.shibboleth.idp.cli.AbstractCommandLineArguments

`BASEURL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`StatusArguments()`

## Method Summary

Modifier and Type
Method
Description
`protected StringBuilder`
`doBuildURL(StringBuilder builder)`
Override this method to modify the eventual URL and attach any parameters.

### Methods inherited from class net.shibboleth.idp.cli.AbstractCommandLineArguments

`buildURL, getBasicAuthHeader, getHeaders, getHelp, getMethod, getPassword, getPath, getTrustStore, getTrustStorePassword, getTrustStoreType, getURL, getUsername, isDisableNameChecking, isUsage, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusArguments

public StatusArguments()

## Method Details

### doBuildURL

@Nonnull protected StringBuilder doBuildURL(@Nonnull StringBuilder builder)
Override this method to modify the eventual URL and attach any parameters.

Overrides:
  `doBuildURL` in class `AbstractCommandLineArguments`
Parameters:
  `builder` - contains the URL in a partial state of construction, possibly including query string
Returns:
  a builder containing the modified URL string